Show / Hide Table of Contents

# Class RestReaction

Represents a REST reaction object.

##### Inheritance

System.Object
RestReaction

##### Implements

IReaction

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestReaction : IReaction

### Properties

| Improve this Doc View Source

#### Count

Gets the number of reactions added.

##### Declaration

    public int Count { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Emote

The IEmote used in the reaction.

##### Declaration

    public IEmote Emote { get; }

##### Property Value

Type | Description
--- | ---
IEmote |

| Improve this Doc View Source

#### Me

Gets whether the reactions is added by the user.

##### Declaration

    public bool Me { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Implements

IReaction